Bug 6901 - pixmap packages has >800 dependencies
: pixmap packages has >800 dependencies
Status: RESOLVED NOTABUG
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-02 02:43 MSD by Mikhail N
Modified: 2016-04-02 12:07 MSD (History)
1 user (show)

See Also:
RPM Package: pixmap
ISO-related:
Bad POT generating:
Upstream:


Attachments
install dependencies log (71.89 KB, text/plain)
2016-04-02 02:43 MSD, Mikhail N
Details
pixmap ubuntu dependencies (26.39 KB, image/png)
2016-04-02 02:47 MSD, Mikhail N
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail N 2016-04-02 02:43:22 MSD
Created attachment 4431 [details]
install dependencies log

In ubuntu this small and very-very old utility has only a few dependencies.

package: pixmap

See the install log attached.
Comment 1 Mikhail N 2016-04-02 02:47:20 MSD
Created attachment 4432 [details]
pixmap ubuntu dependencies
Comment 2 Denis Silakov 2016-04-02 12:07:24 MSD
Well, here you are confused by urpmi behavior.

We don't have "pixmap" package. In your case urpmi tries to install "R-pixmap" which is the only package that contains "pixmap" in its name.

And if you want to fix " Gtk-WARNING **: Unable to locate theme engine in module_path: "pixmap"," then you need "libgtk-modules2.0", not pixmap ;)

The thing is that if urpmi doesn't find exact package name but finds only one package which contains this name then this package is chosen to be installed.

This can be easily checked - if you launch "urpmq pixmap" in console, you'll get only one result - R-pixmap". Or simply use rpmdrake - it won't confuse you in this way.